Package org.opensaml.xacml.policy.impl

# Class RuleTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.RuleTypeImpl

All Implemented Interfaces:
  `XMLObject`, `RuleType`, `XACMLObject`

public class RuleTypeImpl extends AbstractXACMLObject implements RuleType
Implementation for `RuleType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ConditionType`
`condition`
Condition of the policy.
`private DescriptionType`
`description`
Dscription of the rule.
`private EffectType`
`effectType`
Effect type of the rule.
`private String`
`ruleId`
The id of the rule.
`private TargetType`
`target`
The rule target.

### Fields inherited from interface org.opensaml.xacml.policy.RuleType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, EFFECT_ATTRIB_NAME, RULE_ID_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RuleTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConditionType`
`getCondition()`
Gets the condition for this rule.
`DescriptionType`
`getDescription()`
Gets the description of this rule.
`EffectType`
`getEffect()`
Gets the effect of the rule.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getRuleId()`
Gets the ID for this rule.
`TargetType`
`getTarget()`
Gets the target of this rule.
`void`
`setCondition(ConditionType newCondition)`
Sets the condition for this rule.
`void`
`setDescription(DescriptionType newDescription)`
Sets the description of this rule.
`void`
`setEffect(EffectType type)`
Sets the effect of the rule.
`void`
`setRuleId(String id)`
Sets the ID for this rule.
`void`
`setTarget(TargetType newTarget)`
Sets the target of this rule.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### condition

private ConditionType condition
Condition of the policy.

### target

private TargetType target
The rule target.

### description

private DescriptionType description
Dscription of the rule.

### effectType

private EffectType effectType
Effect type of the rule.

### ruleId

private String ruleId
The id of the rule.

## Constructor Details

### RuleTypeImpl

protected RuleTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getCondition

public ConditionType getCondition()
Gets the condition for this rule.

Specified by:
  `getCondition` in interface `RuleType`
Returns:
  the condition for this rule

### getDescription

public DescriptionType getDescription()
Gets the description of this rule.

Specified by:
  `getDescription` in interface `RuleType`
Returns:
  description of this rule

### getEffect

public EffectType getEffect()
Gets the effect of the rule.

Specified by:
  `getEffect` in interface `RuleType`
Returns:
  the effect of the rule

### getRuleId

public String getRuleId()
Gets the ID for this rule.

Specified by:
  `getRuleId` in interface `RuleType`
Returns:
  the ID for this rule

### getTarget

public TargetType getTarget()
Gets the target of this rule.

Specified by:
  `getTarget` in interface `RuleType`
Returns:
  the target of this rule

### setCondition

public void setCondition(ConditionType newCondition)
Sets the condition for this rule.

Specified by:
  `setCondition` in interface `RuleType`
Parameters:
  `newCondition` - the condition for this rule

### setDescription

public void setDescription(DescriptionType newDescription)
Sets the description of this rule.

Specified by:
  `setDescription` in interface `RuleType`
Parameters:
  `newDescription` - the description of this rule

### setEffect

public void setEffect(EffectType type)
Sets the effect of the rule.

Specified by:
  `setEffect` in interface `RuleType`
Parameters:
  `type` - the effect of the rule

### setRuleId

public void setRuleId(String id)
Sets the ID for this rule.

Specified by:
  `setRuleId` in interface `RuleType`
Parameters:
  `id` - the ID for this rule

### setTarget

public void setTarget(TargetType newTarget)
Sets the target of this rule.

Specified by:
  `setTarget` in interface `RuleType`
Parameters:
  `newTarget` - the target of this rule

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements